singleton Material(microvet)
{
    mapTo = "microvet";
    diffuseMap[2] = "vehicles/micro/microvet_c.dds";
    specularMap[2] = "vehicles/micro/microvet_s.dds";
    normalMap[2] = "vehicles/micro/microvet_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_d.dds";
    specularMap[1] = "vehicles/micro/microvet_s.dds";
    normalMap[1] = "vehicles/micro/microvet_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(backfire)
{
    mapTo = "backfire";
    diffuseMap[0] = "art/shapes/particles/animation_antilag.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    emissive[0] = "1";
    glow[0] = "0";
    translucentBlendOp = "addAlpha";
    alphaTest = "0";
    alphaRef = "0";
    animFlags[0] = "0x00000010";
    sequenceFramePerSec[0] = "60";
    sequenceSegmentSize[0] = "0.015625";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_exhaustflame)
{
    mapTo = "microvet_exhaustflame";
};

singleton Material("microvet.skin.bodycolored")
{
    mapTo = "microvet.skin.bodycolored";
    diffuseMap[2] = "vehicles/micro/microvet_c_alt.dds";
    specularMap[2] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[2] = "vehicles/micro/microvet_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_d_alt.dds";
    specularMap[1] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[1] = "vehicles/micro/microvet_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet.skin.old")
{
    mapTo = "microvet.skin.old";
    overlayMap[2] = "vehicles/micro/microvet_skin_old.dds";
    diffuseMap[2] = "vehicles/micro/microvet_c.dds";
    specularMap[2] = "vehicles/micro/microvet_s.dds";
    normalMap[2] = "vehicles/micro/microvet_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_d.dds";
    specularMap[1] = "vehicles/micro/microvet_s.dds";
    normalMap[1] = "vehicles/micro/microvet_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet.skin.vandalized")
{
    mapTo = "microvet.skin.vandalized";
    overlayMap[2] = "vehicles/micro/microvet_skin_vandalized.dds";
    diffuseMap[2] = "vehicles/micro/microvet_c.dds";
    specularMap[2] = "vehicles/micro/microvet_s.dds";
    normalMap[2] = "vehicles/micro/microvet_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_d.dds";
    specularMap[1] = "vehicles/micro/microvet_s.dds";
    normalMap[1] = "vehicles/micro/microvet_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet.skin.zxi")
{
    mapTo = "microvet.skin.zxi";
    overlayMap[2] = "vehicles/micro/microvet_skin_zxi.dds";
    diffuseMap[2] = "vehicles/micro/microvet_c_alt.dds";
    specularMap[2] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[2] = "vehicles/micro/microvet_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_d_alt.dds";
    specularMap[1] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[1] = "vehicles/micro/microvet_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet.skin.drivingschool")
{
    mapTo = "microvet.skin.drivingschool";
    overlayMap[2] = "vehicles/micro/microvet_skin_drivingschool.dds";
    diffuseMap[2] = "vehicles/micro/microvet_c_alt.dds";
    specularMap[2] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[2] = "vehicles/micro/microvet_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_d_alt.dds";
    specularMap[1] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[1] = "vehicles/micro/microvet_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet.skin.rally")
{
    mapTo = "microvet.skin.rally";
    colorPaletteMap[2] = "vehicles/micro/microvet_skin_rally_palette_uv1.dds";
    overlayMap[2] = "vehicles/micro/microvet_skin_rally.dds";
    diffuseMap[2] = "vehicles/micro/microvet_c_alt.dds";
    specularMap[2] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[2] = "vehicles/micro/microvet_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_d_alt.dds";
    specularMap[1] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[1] = "vehicles/micro/microvet_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet.skin.selecta")
{
    mapTo = "microvet.skin.selecta";
    colorPaletteMap[2] = "vehicles/micro/microvet_skin_selecta_palette_uv1.dds";
    overlayMap[2] = "vehicles/micro/microvet_skin_selecta.dds";
    diffuseMap[2] = "vehicles/micro/microvet_c_alt.dds";
    specularMap[2] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[2] = "vehicles/micro/microvet_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_d_alt.dds";
    specularMap[1] = "vehicles/micro/microvet_s_alt.dds";
    normalMap[1] = "vehicles/micro/microvet_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_bumpers)
{
    mapTo = "microvet_bumpers";
    diffuseMap[1] = "vehicles/micro/microvet_bumpers_d.dds";
    specularMap[1] = "vehicles/micro/microvet_bumpers_s.dds";
    normalMap[1] = "vehicles/micro/microvet_bumpers_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_bumpers_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_lettering)
{
    mapTo = "microvet_lettering";
    specularMap[0] = "vehicles/micro/microvet_lettering_s.dds";
    normalMap[0] = "vehicles/micro/microvet_lettering_n.dds";
    diffuseMap[0] = "vehicles/micro/microvet_lettering_d.dds";
    reflectivityMap[0] = "vehicles/micro/microvet_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(microvet_carbonfibre)
{
    mapTo = "microvet_carbonfibre";
    detailMap[2] = "vehicles/common/carbonfibre.dds";
    diffuseMap[1] = "vehicles/common/carbonfibre_d.dds";
    specularMap[1] = "vehicles/micro/microvet_s.dds";
    normalMap[1] = "vehicles/micro/microvet_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "0.7 0.7 0.7 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
	detailScale[2] = 25;
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";

};

singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_interior)
{
    mapTo = "microvet_interior";
    reflectivityMap[1] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[1] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[1] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[1] = "vehicles/micro/microvet_interior_n.dds";
    reflectivityMap[0] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[0] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[0] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[0] = "vehicles/micro/microvet_interior_n.dds";
    diffuseColor[1] = "0.34 0.355 0.37 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet_interior.skin_interior.red")
{
    mapTo = "microvet_interior.skin_interior.red";
    reflectivityMap[1] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[1] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[1] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[1] = "vehicles/micro/microvet_interior_n.dds";
    reflectivityMap[0] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[0] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[0] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[0] = "vehicles/micro/microvet_interior_n.dds";
    diffuseColor[1] = "0.43 0.26 0.265 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet_interior.skin_interior.blue")
{
    mapTo = "microvet_interior.skin_interior.blue";
    reflectivityMap[1] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[1] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[1] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[1] = "vehicles/micro/microvet_interior_n.dds";
    reflectivityMap[0] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[0] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[0] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[0] = "vehicles/micro/microvet_interior_n.dds";
    diffuseColor[1] = "0.24 0.32 0.41 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet_interior.skin_interior.black")
{
    mapTo = "microvet_interior.skin_interior.black";
    reflectivityMap[1] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[1] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[1] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[1] = "vehicles/micro/microvet_interior_n.dds";
    reflectivityMap[0] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[0] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[0] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[0] = "vehicles/micro/microvet_interior_n.dds";
    diffuseColor[1] = "0.2 0.2 0.2 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("microvet_interior.skin_interior.brown")
{
    mapTo = "microvet_interior.skin_interior.brown";
    reflectivityMap[1] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[1] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[1] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[1] = "vehicles/micro/microvet_interior_n.dds";
    reflectivityMap[0] = "vehicles/micro/microvet_interior_s.dds";
    diffuseMap[0] = "vehicles/micro/microvet_interior_d.dds";
    specularMap[0] = "vehicles/micro/microvet_interior_s.dds";
    normalMap[0] = "vehicles/micro/microvet_interior_n.dds";
    diffuseColor[1] = "0.67 0.535 0.43 1";
    specularPower[1] = "32";
    useAnisotropic[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_glass)
{
    mapTo = "microvet_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/micro/microvet_glass_d.dds";
    opacityMap[0] = "vehicles/micro/microvet_glass_d.dds";
    diffuseMap[1] = "vehicles/micro/microvet_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_glass_int)
{
    mapTo = "microvet_glass_int";
    diffuseMap[0] = "vehicles/micro/microvet_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_glass_dmg)
{
    mapTo = "microvet_glass_dmg";
    diffuseMap[0] = "vehicles/micro/microvet_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/micro/microvet_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_windshield_dmg)
{
    mapTo = "microvet_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/micro/microvet_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_gauges)
{
    mapTo = "microvet_gauges";
    diffuseMap[0] = "microvet_gauges_d.dds";
    specularMap[0] = "microvet_gauges_s.dds";
    normalMap[0] = "microvet_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
};

singleton Material(microvet_gauges_on)
{
    mapTo = "microvet_gauges_on";
    diffuseMap[1] = "microvet_gauges_g.dds";
    specularMap[1] = "microvet_gauges_s.dds";
    normalMap[1] = "microvet_gauges_n.dds";
    diffuseMap[0] = "microvet_gauges_d.dds";
    specularMap[0] = "microvet_gauges_s.dds";
    normalMap[0] = "microvet_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "0.75 0.75 0.75 1";
    diffuseColor[1] = "0.5 1.7 1.3 1";
};

singleton Material(microvet_lights_on)
{
    mapTo = "microvet_lights_on";
    diffuseMap[2] = "vehicles/micro/microvet_lights_g.dds";
    specularMap[2] = "vehicles/micro/microvet_lights_s.dds";
    normalMap[2] = "vehicles/micro/microvet_lights_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_lights_d.dds";
    specularMap[1] = "vehicles/micro/microvet_lights_s.dds";
    normalMap[1] = "vehicles/micro/microvet_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_lights_n.dds";
    //diffuseMap[3] = "vehicles/micro/microvet_lights_dirt.dds";
    //normalMap[3] = "vehicles/micro/microvet_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.09";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_lights_on_intense)
{
    mapTo = "microvet_lights_on_intense";
    diffuseMap[2] = "vehicles/micro/microvet_lights_g.dds";
    specularMap[2] = "vehicles/micro/microvet_lights_s.dds";
    normalMap[2] = "vehicles/micro/microvet_lights_n.dds";
    diffuseMap[1] = "vehicles/micro/microvet_lights_d.dds";
    specularMap[1] = "vehicles/micro/microvet_lights_s.dds";
    normalMap[1] = "vehicles/micro/microvet_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_lights_n.dds";
    //diffuseMap[3] = "vehicles/micro/microvet_lights_dirt.dds";
    //normalMap[3] = "vehicles/micro/microvet_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.15";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(microvet_lights)
{
    mapTo = "microvet_lights";
    diffuseMap[1] = "vehicles/micro/microvet_lights_d.dds";
    specularMap[1] = "vehicles/micro/microvet_lights_s.dds";
    normalMap[1] = "vehicles/micro/microvet_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_lights_n.dds";
    //diffuseMap[2] = "vehicles/micro/microvet_lights_dirt.dds";
    //normalMap[2] = "vehicles/micro/microvet_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_lights_dmg)
{
    mapTo = "microvet_lights_dmg";
    diffuseMap[1] = "vehicles/micro/microvet_lights_dmg_d.dds";
    specularMap[1] = "vehicles/micro/microvet_lights_dmg_s.dds";
    normalMap[1] = "vehicles/micro/microvet_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/micro/microvet_lights_dmg_n.dds";
    //diffuseMap[2] = "vehicles/micro/microvet_lights_dirt.dds";
    //normalMap[2] = "vehicles/micro/microvet_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    //diffuseColor[2] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(microvet_reverselight)
{
    mapTo = "microvet_reverselight";
};

singleton Material(microvet_signal_R)
{
    mapTo = "microvet_signal_R";
};

singleton Material(microvet_signal_L)
{
    mapTo = "microvet_signal_L";
};

singleton Material(microvet_headlight)
{
    mapTo = "microvet_headlight";
};

singleton Material(microvet_parkinglight)
{
    mapTo = "microvet_parkinglight";
};

singleton Material(microvet_chmsl)
{
    mapTo = "microvet_chmsl";
};

singleton Material(microvet_taillight)
{
    mapTo = "microvet_taillight";
};

singleton Material(microvet_highbeam)
{
    mapTo = "microvet_highbeam";
};
